Title Change existing namespaces to lowercase
Priority wish Status resolved
Superseder Nosy List florian, jendrik, malte
Assigned To florian Keywords
Optional summary
Part of issue64.

Created on 2016-01-09.11:58:03 by florian, last changed by florian.

Part of issue64.
msg5077 (view) Author: florian Date: 2016-01-11.19:23:03
Merged and pushed to the private repository.
msg5074 (view) Author: jendrik Date: 2016-01-10.16:20:07
I skimmed over the code and didn't spot any obvious mistakes. Can be merged from 
my point of view.
msg5069 (view) Author: florian Date: 2016-01-09.16:03:17
Jendrik can you have a look just to check that I didn't mess anything up?

I renamed ContextEnhancedAdditiveHeuristic and LandmarkCutHeuristic (named after
the class) to cea_heuristic and lm_cut_heuristic (named after the file).
msg5066 (view) Author: florian Date: 2016-01-09.11:58:03
We decided to change the naming convention for namespaces to use lower case
names (like file and directory names) to avoid classes with the same name as
their namespace. Such classes lead to problems with forward declarations, e.g.,
we cannot use "using Options::Options;".
Date User Action Args
2016-01-11 19:23:03floriansetstatus: chatting -> resolved
messages: + msg5077
2016-01-10 16:20:07jendriksetmessages: + msg5074
2016-01-09 16:03:17floriansetstatus: unread -> chatting
messages: + msg5069
2016-01-09 11:58:03floriancreate